﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class GasInput : MonoBehaviour, ISpaceForGas
{

    public int xPos;
    public int yPos;

    public bool enableDebugOutput = false;
    // If true, gas can enter into this input
    public bool isOpen = false;
    public Gas.GasType debugGasType;
    public float debugGasQuantity = 100.0f;

    public bool ventToSpace = false;

    public GasOutput gasOutput;
    public float totalGas {get; set;} = 0.0f;

    // Start is called before the first frame update
    void Start()
    {
        
    }

    // Update is called once per frame
    void Update()
    {
        if (enableDebugOutput) {
            addGas(debugGasType, debugGasQuantity);
        }
    }

    public void addGas(Gas.GasType gasType, float gasQuantity) {
        // Do nothing -> Added gas disappears. The cell that calls this removes the gas from itself.
        if (ventToSpace) {
            return;
        }
        gasOutput.outputGas(gasType, gasQuantity);
    }
}
